
if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.A_Stat_GetStatRecordById' ) )
	Drop procedure dbo.A_Stat_GetStatRecordById
GO

Create procedure [dbo].[A_Stat_GetStatRecordById]
	@id uniqueidentifier
as
begin
	Select *
	From A_Stat_Connections_1x1 --With ( TabLock )
	Where Id = @id

	if ( @@rowcount > 0 )
		return


	Select * 
	From A_Stat_Conference sc
		Inner join A_Stat_Conference_Competitors scc on scc.IdConf = sc.Id
	Where IdConn = @id	
end
GO

