
if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.A_TaskManager_CardLunchStates_Check' ) )
	Drop procedure dbo.A_TaskManager_CardLunchStates_Check
GO

Create procedure dbo.A_TaskManager_CardLunchStates_Check
	@id int,
	@name nvarchar ( 500 ),
	@cntdefault int,
	@sumiddefault int
as
begin
--      (   )

	Declare @cnt int
	Select @cnt = Count ( * )
	From dbo.A_TaskManager_CardLunchStates

	Declare @tst nvarchar ( 500 )
	Select @tst = Name
	From dbo.A_TaskManager_CardLunchStates
	Where Id = @id

	Declare @sumid int
	Select @sumid = Sum ( Id )
	From dbo.A_TaskManager_CardLunchStates

	--   - 
	if ( @cnt = 0 )
		return 0
	
	--     -  
	if ( @cnt != @cntdefault )
		return 1

	--      -  
	if ( @sumid != @sumiddefault )
		return 2

	--   -  
	if ( @tst = @name )
		return 3

	return 0
end
GO




if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.A_TaskManager_CardUserResults_Check' ) )
	Drop procedure dbo.A_TaskManager_CardUserResults_Check
GO

Create procedure dbo.A_TaskManager_CardUserResults_Check
	@id int,
	@name nvarchar ( 500 ),
	@cntdefault int,
	@sumiddefault int
as
begin
--      (   )

	Declare @cnt int
	Select @cnt = Count ( * )
	From dbo.A_TaskManager_CardUserResults

	Declare @tst nvarchar ( 500 )
	Select @tst = Name
	From dbo.A_TaskManager_CardUserResults
	Where Id = @id

	Declare @sumid int
	Select @sumid = Sum ( Id )
	From dbo.A_TaskManager_CardUserResults

	--   - 
	if ( @cnt = 0 )
		return 0
	
	--     -  
	if ( @cnt != @cntdefault )
		return 1

	--      -  
	if ( @sumid != @sumiddefault )
		return 2

	--   -  
	if ( @tst = @name )
		return 3

	return 0
end
GO
